Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface FacetPackage.Literals

Enclosing interface:
  FacetPackage

    public static interface FacetPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` | `FACET` The meta object literal for the '`Facet`' class.
`static EReference` | `FACET__CONDITION_QUERY` The meta object literal for the 'Condition Query' reference feature.
`static EClass` | `FACET_ATTRIBUTE` The meta object literal for the '`Attribute`' class.
`static EClass` | `FACET_REFERENCE` The meta object literal for the '`Reference`' class.
`static EClass` | `FACET_SET` The meta object literal for the '`Set`' class.
`static EReference` | `FACET_SET__EXTENDED_PACKAGE` The meta object literal for the 'Extended Package' reference feature.
`static EReference` | `FACET_SET__FACETS` The meta object literal for the 'Facets' reference list feature.
`static EClass` | `FACET_STRUCTURAL_FEATURE` The meta object literal for the '`Structural Feature`' class.
`static EReference` | `FACET_STRUCTURAL_FEATURE__VALUE_QUERY` The meta object literal for the 'Value Query' reference feature.
`static EClass` | `SHORTCUT` The meta object literal for the '`Shortcut`' class.
`static EReference` | `SHORTCUT__OPPOSITE_REFERENCE` The meta object literal for the 'Opposite Reference' reference feature.
`static EReference` | `SHORTCUT__PATH` The meta object literal for the 'Path' reference list feature.

Field Detail

### FACET

    static final EClass FACET

  The meta object literal for the '`Facet`' class.

  See Also:
    `FacetImpl`, `FacetPackageImpl.getFacet()`

### FACET__CONDITION_QUERY

    static final EReference FACET__CONDITION_QUERY

  The meta object literal for the 'Condition Query' reference feature.

### FACET_ATTRIBUTE

    static final EClass FACET_ATTRIBUTE

  The meta object literal for the '`Attribute`' class.

  See Also:
    `FacetAttributeImpl`, `FacetPackageImpl.getFacetAttribute()`

### FACET_REFERENCE

    static final EClass FACET_REFERENCE

  The meta object literal for the '`Reference`' class.

  See Also:
    `FacetReferenceImpl`, `FacetPackageImpl.getFacetReference()`

### FACET_STRUCTURAL_FEATURE

    static final EClass FACET_STRUCTURAL_FEATURE

  The meta object literal for the '`Structural Feature`' class.

  See Also:
    `FacetStructuralFeatureImpl`, `FacetPackageImpl.getFacetStructuralFeature()`

### FACET_STRUCTURAL_FEATURE__VALUE_QUERY

    static final EReference FACET_STRUCTURAL_FEATURE__VALUE_QUERY

  The meta object literal for the 'Value Query' reference feature.

### FACET_SET

    static final EClass FACET_SET

  The meta object literal for the '`Set`' class.

  See Also:
    `FacetSetImpl`, `FacetPackageImpl.getFacetSet()`

### FACET_SET__EXTENDED_PACKAGE

    static final EReference FACET_SET__EXTENDED_PACKAGE

  The meta object literal for the 'Extended Package' reference feature.

### FACET_SET__FACETS

    static final EReference FACET_SET__FACETS

  The meta object literal for the 'Facets' reference list feature.

### SHORTCUT

    static final EClass SHORTCUT

  The meta object literal for the '`Shortcut`' class.

  See Also:
    `ShortcutImpl`, `FacetPackageImpl.getShortcut()`

### SHORTCUT__PATH

    static final EReference SHORTCUT__PATH

  The meta object literal for the 'Path' reference list feature.

### SHORTCUT__OPPOSITE_REFERENCE

    static final EReference SHORTCUT__OPPOSITE_REFERENCE

  The meta object literal for the 'Opposite Reference' reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD